# Web App UI

Here we provide a comprehensible overview of the Rubrix web app's User Interface (UI).
To launch the web app, please have a look at our [setup and installation guide](../../getting_started/setup&installation.rst#launch-the-web-app).

## Pages

- [**Workspace**](workspace.md): Search, access and share your datasets in a unified place
- [**Dataset**](dataset.md): Dive into your dataset to explore and annotate your records

```{toctree}
:maxdepth: 1
:caption: Pages
:hidden:

workspace
dataset
```

## Features

- [**Explore records**](explore_records.md): Explore your data and predictions, as well as your annotations
- [**Annotate records**](annotate_records.md): Annotate your records for different [tasks](../../guides/task_examples.ipynb)
- [**Define rules**](define_rules.md): Define rules to weakly supervise your data
- [**Search records**](search_records.md): Search your records with the powerful elasticsearch query syntax
- [**Filter records**](filter_records.md): Quickly filter your records by predictions, annotations or their metadata
- [**View dataset metrics**](view_dataset_metrics.md): View insightful metrics of your dataset
- [**Switch workspaces**](switch_workspaces.md): Switch your workspace and access shared datasets

```{toctree}
:maxdepth: 1
:caption: Features
:hidden:

explore_records
annotate_records
define_rules
search_records
filter_records
view_dataset_metrics
switch_workspaces
```
